<?php
$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_67b2c7eae" . "54b5b0a8da" . "f87a3b3d7c" . "fa5" => base64_decode("RXhwb3J0IHBhdGggc2" . "V0IHRvICc="), "_e608e5b5c4c34a67ba97ef84c1e161" . "99" => base64_decode("J" . "w" . "=" . "="), "_28ab952eb118273d04f3d91727" . "36f3eb" => base64_decode("ZG9jdW1lbnRzLmV4cG9ydC5wYX" . "RoX25vdF9lbXB0eQ=="), "_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1" . "zZw" . "=="), "_87daa84e346f6420a3f3426e05d1" . "6a7b" => base64_decode("L" . "w" . "=" . "="), "_3fde93a21869bd8" . "8d9d762bb3aff01c" . "c" => base64_decode("ZG9jdW1lbnRzL" . "mV4cG9ydC5maW" . "xlc3lzdGVtX2V" . "ycm9y"));
class DocsBackupExportStarter extends DocsExportStarter
{
    protected $last_backup_date;
    public function __construct(Date $_2b27fd7af91d3ff5fb54d79910ed8f49)
    {
        $this->last_backup_date = $_2b27fd7af91d3ff5fb54d79910ed8f49;
        $this->logger = new DocsExportLogger(DocsExportLogger::LOG_STOP);
        
        
        
        $this->md_collector = new DocsBackupMDCollector();
        $this->export_md_type = DocsExportMDCollector::MD_EXPORT_XML;
        $this->filesystem = null;
        return true;
    }
    public function SetExportPath($path, $options = null)
    {
        $this->filesystem = new RemoteFilesystem($path);
        $_ba3845cb79c005cf3269af8c83ddbe5e = false;
        $_577040e4450a3913d90dae544a98aaf8 = $this->filesystem->GetDirectoryContent();
        if (!empty($_577040e4450a3913d90dae544a98aaf8)) {
            $_ba3845cb79c005cf3269af8c83ddbe5e = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_28ab952eb118273d04f3d917273" . "6f3eb"]);
        }
        if (!$_ba3845cb79c005cf3269af8c83ddbe5e && !$this->filesystem->IsPathWritable($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_87daa84e34" . "6f6420a3f34" . "26e05d16a7b"])) {
            $_ba3845cb79c005cf3269af8c83ddbe5e = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_3fde93a21869bd88d9d762bb3a" . "ff01cc"]) . $this->filesystem->GetErrMsg();
        }
        if ($_ba3845cb79c005cf3269af8c83ddbe5e) {
            $this->filesystem = null;
            return $this->Error($_ba3845cb79c005cf3269af8c83ddbe5e);
        }
        $this->md_collector->SetRemoteFilesystem($this->filesystem);
        $this->logger->LogDebug($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_67b2c7eae54b5b0a8da" . "f87a3b3d7cfa5"] . $path . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e608e5b5c4c34a" . "67ba97ef84c1e16" . "199"]);
        return true;
    }
    protected function ExportDocument(ERMSDataObj $_fc4ffcaec4dff19ed04cc1c9229222d1)
    {
        return true;
    }
    protected function GetFolderExporter()
    {
        $_14d7763bd68d2a696994ae5aec7dad69 = new DocsBackupFolderExporter($this->filesystem, $this->logger, $this->md_collector);
        $_14d7763bd68d2a696994ae5aec7dad69->SetLastBackupDate($this->last_backup_date);
        return $_14d7763bd68d2a696994ae5aec7dad69;
    }
    
    
    
    
    
    public function GetMDCollector()
    {
        return $this->md_collector;
    }
}